wibble::tests::LocationInfo Struct Reference

`#include <tests.h>`

Inheritance diagram for wibble::tests::LocationInfo:
[legend]
Collaboration diagram for wibble::tests::LocationInfo:
[legend]

## Public Member Functions

std::ostream & | operator() ()
| Clear the stringstream and return self. More...
| LocationInfo ()

## Constructor & Destructor Documentation

wibble::tests::LocationInfo::LocationInfo | ( |  | ) |

inline

## Member Function Documentation

std::ostream & wibble::tests::LocationInfo::operator() | ( |  | ) |

Clear the stringstream and return self.

Example usage:

test_function(...) { WIBBLE_TEST_INFO(info); for (unsigned i = 0; i < 10; ++i) { info() << "Iteration #" << i; ... } }

The documentation for this struct was generated from the following files:

- tests.h
- tests.cpp